# `LSUP_REPO`: Simple road map

P: Pending; W: working on it; T: testing; D: done

- General repo
  - *D* Initialize and tear down
  - *D* Environment assets
- D-RES
  - *D* Create
  - *D* Store
  - *W* Modify
    - *W* Update (delta)
  - *W* Retrieve from store
  - *P* Versioning
    - Create version
    - Version listing and info
    - Retrieve version
    - Revert to version
    - Squash versions (range)
  - *P* Deletion
    - Bury (tombstone)
    - Exhume (from any version)
    - Cremate (hard delete)
  - *P* Data structures
    - Proxies
    - Sets
    - Linked lists
- *P* O-RES
  - Store
  - Metadata (O-RES) linking
  - Versioning (see above)
  - Deletion (see above)
  - Versioning (see above)
- *W* Tests
- *P* Python bindings
